output(t) c:\res\stockreg\crisis\asia3
'
' This EViews program uses of Japanese and Korean stocks to estimate and compare delta,
' (i.e., tests for market integration).
'
' This perturbation of asia1a differs only in that it allows both Korean
' and Japanese stocks to be affected by both indices.
'
' Each country has twenty arbitrary portfolios
'
' The tests are conducted for 3 different years.
'
' Each portfolio has one intercept and two market factors (one domestic,
' one foreign)
'
' Load the data set
'
load \res\stockreg\crisis\asia3
'
' Create the regressand and regressor
'
sort jk portn date
smpl if (portn(+1)=portn(-1))and(year(+1)=year(-1))and(jk(+1)=jk(-1))
genr lhs=price(+1)/price(-1)
genr rhs=price/price(-1)
genr mkt=100.*(log(index)-(log(index(-1))))
genr fmkt=100.*(log(findex)-(log(findex(-1))))
smpl @all
'
' Create Japanese variables first
'
' Create the Japanese portfolio-specific variables: intercepts
'
genr f01=(portn=01)*(jk=1)
genr f02=(portn=02)*(jk=1)
genr f03=(portn=03)*(jk=1)
genr f04=(portn=04)*(jk=1)
genr f05=(portn=05)*(jk=1)
genr f06=(portn=06)*(jk=1)
genr f07=(portn=07)*(jk=1)
genr f08=(portn=08)*(jk=1)
genr f09=(portn=09)*(jk=1)
genr f10=(portn=10)*(jk=1)
genr f11=(portn=11)*(jk=1)
genr f12=(portn=12)*(jk=1)
genr f13=(portn=13)*(jk=1)
genr f14=(portn=14)*(jk=1)
genr f15=(portn=15)*(jk=1)
genr f16=(portn=16)*(jk=1)
genr f17=(portn=17)*(jk=1)
genr f18=(portn=18)*(jk=1)
genr f19=(portn=19)*(jk=1)
genr f20=(portn=20)*(jk=1)
'
' Create the Japanese portfolio-specific variables: market
'
genr g01=(portn=01)*mkt*(jk=1)
genr g02=(portn=02)*mkt*(jk=1)
genr g03=(portn=03)*mkt*(jk=1)
genr g04=(portn=04)*mkt*(jk=1)
genr g05=(portn=05)*mkt*(jk=1)
genr g06=(portn=06)*mkt*(jk=1)
genr g07=(portn=07)*mkt*(jk=1)
genr g08=(portn=08)*mkt*(jk=1)
genr g09=(portn=09)*mkt*(jk=1)
genr g10=(portn=10)*mkt*(jk=1)
genr g11=(portn=11)*mkt*(jk=1)
genr g12=(portn=12)*mkt*(jk=1)
genr g13=(portn=13)*mkt*(jk=1)
genr g14=(portn=14)*mkt*(jk=1)
genr g15=(portn=15)*mkt*(jk=1)
genr g16=(portn=16)*mkt*(jk=1)
genr g17=(portn=17)*mkt*(jk=1)
genr g18=(portn=18)*mkt*(jk=1)
genr g19=(portn=19)*mkt*(jk=1)
genr g20=(portn=20)*mkt*(jk=1)
'
' Create the Japanese portfolio-specific variables: foreign market
'
genr j01=(portn=01)*fmkt*(jk=1)
genr j02=(portn=02)*fmkt*(jk=1)
genr j03=(portn=03)*fmkt*(jk=1)
genr j04=(portn=04)*fmkt*(jk=1)
genr j05=(portn=05)*fmkt*(jk=1)
genr j06=(portn=06)*fmkt*(jk=1)
genr j07=(portn=07)*fmkt*(jk=1)
genr j08=(portn=08)*fmkt*(jk=1)
genr j09=(portn=09)*fmkt*(jk=1)
genr j10=(portn=10)*fmkt*(jk=1)
genr j11=(portn=11)*fmkt*(jk=1)
genr j12=(portn=12)*fmkt*(jk=1)
genr j13=(portn=13)*fmkt*(jk=1)
genr j14=(portn=14)*fmkt*(jk=1)
genr j15=(portn=15)*fmkt*(jk=1)
genr j16=(portn=16)*fmkt*(jk=1)
genr j17=(portn=17)*fmkt*(jk=1)
genr j18=(portn=18)*fmkt*(jk=1)
genr j19=(portn=19)*fmkt*(jk=1)
genr j20=(portn=20)*fmkt*(jk=1)
'
' Create Korean variables second
'
' Create the Korean portfolio-specific variables: intercepts
'
genr h01=(portn=01)*(jk=2)
genr h02=(portn=02)*(jk=2)
genr h03=(portn=03)*(jk=2)
genr h04=(portn=04)*(jk=2)
genr h05=(portn=05)*(jk=2)
genr h06=(portn=06)*(jk=2)
genr h07=(portn=07)*(jk=2)
genr h08=(portn=08)*(jk=2)
genr h09=(portn=09)*(jk=2)
genr h10=(portn=10)*(jk=2)
genr h11=(portn=11)*(jk=2)
genr h12=(portn=12)*(jk=2)
genr h13=(portn=13)*(jk=2)
genr h14=(portn=14)*(jk=2)
genr h15=(portn=15)*(jk=2)
genr h16=(portn=16)*(jk=2)
genr h17=(portn=17)*(jk=2)
genr h18=(portn=18)*(jk=2)
genr h19=(portn=19)*(jk=2)
genr h20=(portn=20)*(jk=2)
'
' Create the Korean portfolio-specific variables: market
'
genr i01=(portn=01)*mkt*(jk=2)
genr i02=(portn=02)*mkt*(jk=2)
genr i03=(portn=03)*mkt*(jk=2)
genr i04=(portn=04)*mkt*(jk=2)
genr i05=(portn=05)*mkt*(jk=2)
genr i06=(portn=06)*mkt*(jk=2)
genr i07=(portn=07)*mkt*(jk=2)
genr i08=(portn=08)*mkt*(jk=2)
genr i09=(portn=09)*mkt*(jk=2)
genr i10=(portn=10)*mkt*(jk=2)
genr i11=(portn=11)*mkt*(jk=2)
genr i12=(portn=12)*mkt*(jk=2)
genr i13=(portn=13)*mkt*(jk=2)
genr i14=(portn=14)*mkt*(jk=2)
genr i15=(portn=15)*mkt*(jk=2)
genr i16=(portn=16)*mkt*(jk=2)
genr i17=(portn=17)*mkt*(jk=2)
genr i18=(portn=18)*mkt*(jk=2)
genr i19=(portn=19)*mkt*(jk=2)
genr i20=(portn=20)*mkt*(jk=2)
'
' Create the Korean portfolio-specific variables: foreign market
'
genr k01=(portn=01)*fmkt*(jk=2)
genr k02=(portn=02)*fmkt*(jk=2)
genr k03=(portn=03)*fmkt*(jk=2)
genr k04=(portn=04)*fmkt*(jk=2)
genr k05=(portn=05)*fmkt*(jk=2)
genr k06=(portn=06)*fmkt*(jk=2)
genr k07=(portn=07)*fmkt*(jk=2)
genr k08=(portn=08)*fmkt*(jk=2)
genr k09=(portn=09)*fmkt*(jk=2)
genr k10=(portn=10)*fmkt*(jk=2)
genr k11=(portn=11)*fmkt*(jk=2)
genr k12=(portn=12)*fmkt*(jk=2)
genr k13=(portn=13)*fmkt*(jk=2)
genr k14=(portn=14)*fmkt*(jk=2)
genr k15=(portn=15)*fmkt*(jk=2)
genr k16=(portn=16)*fmkt*(jk=2)
genr k17=(portn=17)*fmkt*(jk=2)
genr k18=(portn=18)*fmkt*(jk=2)
genr k19=(portn=19)*fmkt*(jk=2)
genr k20=(portn=20)*fmkt*(jk=2)
'
' Set up a table for results
'
table(3,27) results
setcell(results,1,1, "Log Likelihoods from asia3")
results(2,1) = "J1996: bth"
results(2,2) = "K1996: bth"
results(2,3) = "1996: all"
results(2,4) = "J1997: bth"
results(2,5) = "K1997: bth"
results(2,6) = "1997: all"
results(2,7) = "J1998: bth"
results(2,8) = "K1998: bth"
results(2,9) = "1998: all"
'
' Run the regressions and record the log-likelihoods
'
' Note that we lose 1 observation at each end of each year
'
' 1996
'
smpl @all
genr t02=(date=35373)
genr t03=(date=35374)
genr t04=(date=35375)
genr t05=(date=35376)
genr t06=(date=35377)
genr t07=(date=35380)
genr t08=(date=35381)
genr t09=(date=35382)
genr t10=(date=35383)
genr t11=(date=35384)
genr t12=(date=35387)
genr t13=(date=35388)
genr t14=(date=35389)
genr t15=(date=35390)
genr t16=(date=35391)
genr t17=(date=35394)
genr t18=(date=35395)
genr t19=(date=35396)
genr t20=(date=35397)
genr t21=(date=35398)
genr t22=(date=35401)
genr t23=(date=35402)
genr t24=(date=35403)
genr t25=(date=35404)
genr t26=(date=35405)
genr t27=(date=35408)
genr t28=(date=35409)
genr t29=(date=35410)
genr t30=(date=35411)
genr t31=(date=35412)
genr t32=(date=35415)
genr t33=(date=35416)
genr t34=(date=35417)
genr t35=(date=35418)
genr t36=(date=35419)
genr t37=(date=35423)
genr t38=(date=35425)
'
' Japanese Estimates First
'
smpl if (jk=1)and(date>35372.5)and(date<35425.5)
c=0
equation ejap.ls lhs=((c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22)+(c(23)*t23)+(c(24)*t24)+(c(25)*t25)+(c(26)*t26)+(c(27)*t27)+(c(28)*t28)+(c(29)*t29)+(c(30)*t30)+(c(31)*t31)+(c(32)*t32)+(c(33)*t33)+(c(34)*t34)+(c(35)*t35)+(c(36)*t36)+(c(37)*t37)+(c(38)*t38))*((c(101)*f01)+(c(102)*f02)+(c(103)*f03)+(c(104)*f04)+(c(105)*f05)+(c(106)*f06)+(c(107)*f07)+(c(108)*f08)+(c(109)*f09)+(c(110)*f10)+(c(111)*f11)+(c(112)*f12)+(c(113)*f13)+(c(114)*f14)+(c(115)*f15)+(c(116)*f16)+(c(117)*f17)+(c(118)*f18)+(c(119)*f19)+(c(120)*f20)+(c(201)*g01)+(c(202)*g02)+(c(203)*g03)+(c(204)*g04)+(c(205)*g05)+(c(206)*g06)+(c(207)*g07)+(c(208)*g08)+(c(209)*g09)+(c(210)*g10)+(c(211)*g11)+(c(212)*g12)+(c(213)*g13)+(c(214)*g14)+(c(215)*g15)+(c(216)*g16)+(c(217)*g17)+(c(218)*g18)+(c(219)*g19)+(c(220)*g20)+(c(501)*j01)+(c(502)*j02)+(c(503)*j03)+(c(504)*j04)+(c(505)*j05)+(c(506)*j06)+(c(507)*j07)+(c(508)*j08)+(c(509)*j09)+(c(510)*j10)+(c(511)*j11)+(c(512)*j12)+(c(513)*j13)+(c(514)*j14)+(c(515)*j15)+(c(516)*j16)+(c(517)*j17)+(c(518)*j18)+(c(519)*j19)+(c(520)*j20)+rhs)
ejap.results(p)
scalar junk=ejap.@logl
results(3,1)=junk
delete junk ejap
'
' Korean Estimates Next
'
smpl if (jk=2)and(date>35372.5)and(date<35425.5)
c=0
equation ekor.ls lhs=((c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22)+(c(23)*t23)+(c(24)*t24)+(c(25)*t25)+(c(26)*t26)+(c(27)*t27)+(c(28)*t28)+(c(29)*t29)+(c(30)*t30)+(c(31)*t31)+(c(32)*t32)+(c(33)*t33)+(c(34)*t34)+(c(35)*t35)+(c(36)*t36)+(c(37)*t37)+(c(38)*t38))*((c(101)*h01)+(c(102)*h02)+(c(103)*h03)+(c(104)*h04)+(c(105)*h05)+(c(106)*h06)+(c(107)*h07)+(c(108)*h08)+(c(109)*h09)+(c(110)*h10)+(c(111)*h11)+(c(112)*h12)+(c(113)*h13)+(c(114)*h14)+(c(115)*h15)+(c(116)*h16)+(c(117)*h17)+(c(118)*h18)+(c(119)*h19)+(c(120)*h20)+(c(201)*i01)+(c(202)*i02)+(c(203)*i03)+(c(204)*i04)+(c(205)*i05)+(c(206)*i06)+(c(207)*i07)+(c(208)*i08)+(c(209)*i09)+(c(210)*i10)+(c(211)*i11)+(c(212)*i12)+(c(213)*i13)+(c(214)*i14)+(c(215)*i15)+(c(216)*i16)+(c(217)*i17)+(c(218)*i18)+(c(219)*i19)+(c(220)*i20)+(c(601)*k01)+(c(602)*k02)+(c(603)*k03)+(c(604)*k04)+(c(605)*k05)+(c(606)*k06)+(c(607)*k07)+(c(608)*k08)+(c(609)*k09)+(c(610)*k10)+(c(611)*k11)+(c(612)*k12)+(c(613)*k13)+(c(614)*k14)+(c(615)*k15)+(c(616)*k16)+(c(617)*k17)+(c(618)*k18)+(c(619)*k19)+(c(620)*k20)+rhs)
ekor.results(p)
scalar junk=ekor.@logl
results(3,2)=junk
delete junk ekor
'
' Joint Estimates Finally
'
smpl if (date>35372.5)and(date<35425.5)
c=0
equation ebth.ls lhs=((c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22)+(c(23)*t23)+(c(24)*t24)+(c(25)*t25)+(c(26)*t26)+(c(27)*t27)+(c(28)*t28)+(c(29)*t29)+(c(30)*t30)+(c(31)*t31)+(c(32)*t32)+(c(33)*t33)+(c(34)*t34)+(c(35)*t35)+(c(36)*t36)+(c(37)*t37)+(c(38)*t38))*((c(101)*f01)+(c(102)*f02)+(c(103)*f03)+(c(104)*f04)+(c(105)*f05)+(c(106)*f06)+(c(107)*f07)+(c(108)*f08)+(c(109)*f09)+(c(110)*f10)+(c(111)*f11)+(c(112)*f12)+(c(113)*f13)+(c(114)*f14)+(c(115)*f15)+(c(116)*f16)+(c(117)*f17)+(c(118)*f18)+(c(119)*f19)+(c(120)*f20)+(c(201)*g01)+(c(202)*g02)+(c(203)*g03)+(c(204)*g04)+(c(205)*g05)+(c(206)*g06)+(c(207)*g07)+(c(208)*g08)+(c(209)*g09)+(c(210)*g10)+(c(211)*g11)+(c(212)*g12)+(c(213)*g13)+(c(214)*g14)+(c(215)*g15)+(c(216)*g16)+(c(217)*g17)+(c(218)*g18)+(c(219)*g19)+(c(220)*g20)+(c(301)*h01)+(c(302)*h02)+(c(303)*h03)+(c(304)*h04)+(c(305)*h05)+(c(306)*h06)+(c(307)*h07)+(c(308)*h08)+(c(309)*h09)+(c(310)*h10)+(c(311)*h11)+(c(312)*h12)+(c(313)*h13)+(c(314)*h14)+(c(315)*h15)+(c(316)*h16)+(c(317)*h17)+(c(318)*h18)+(c(319)*h19)+(c(320)*h20)+(c(401)*i01)+(c(402)*i02)+(c(403)*i03)+(c(404)*i04)+(c(405)*i05)+(c(406)*i06)+(c(407)*i07)+(c(408)*i08)+(c(409)*i09)+(c(410)*i10)+(c(411)*i11)+(c(412)*i12)+(c(413)*i13)+(c(414)*i14)+(c(415)*i15)+(c(416)*i16)+(c(417)*i17)+(c(418)*i18)+(c(419)*i19)+(c(420)*i20)+(c(501)*j01)+(c(502)*j02)+(c(503)*j03)+(c(504)*j04)+(c(505)*j05)+(c(506)*j06)+(c(507)*j07)+(c(508)*j08)+(c(509)*j09)+(c(510)*j10)+(c(511)*j11)+(c(512)*j12)+(c(513)*j13)+(c(514)*j14)+(c(515)*j15)+(c(516)*j16)+(c(517)*j17)+(c(518)*j18)+(c(519)*j19)+(c(520)*j20)+(c(601)*k01)+(c(602)*k02)+(c(603)*k03)+(c(604)*k04)+(c(605)*k05)+(c(606)*k06)+(c(607)*k07)+(c(608)*k08)+(c(609)*k09)+(c(610)*k10)+(c(611)*k11)+(c(612)*k12)+(c(613)*k13)+(c(614)*k14)+(c(615)*k15)+(c(616)*k16)+(c(617)*k17)+(c(618)*k18)+(c(619)*k19)+(c(620)*k20)+rhs)
ebth.results(p)
scalar junk=ebth.@logl
results(3,3)=junk
delete junk ebth
delete t02 t03 t04 t05 t06 t07 t08 t09 t10 t11 t12 t13 t14 t15 t16 t17 t18 t19 t20 t21 t22 t23 t24 t25 t26 t27 t28 t29 t30 t31 t32 t33 t34 t35 t36 t37 t38

'
' 1997
'
smpl @all
genr t02=(date=35738)
genr t03=(date=35739)
genr t04=(date=35740)
genr t05=(date=35741)
genr t06=(date=35744)
genr t07=(date=35745)
genr t08=(date=35746)
genr t09=(date=35747)
genr t10=(date=35748)
genr t11=(date=35751)
genr t12=(date=35752)
genr t13=(date=35753)
genr t14=(date=35754)
genr t15=(date=35755)
genr t16=(date=35759)
genr t17=(date=35760)
genr t18=(date=35761)
genr t19=(date=35762)
genr t20=(date=35765)
genr t21=(date=35766)
genr t22=(date=35767)
genr t23=(date=35768)
genr t24=(date=35769)
genr t25=(date=35772)
genr t26=(date=35773)
genr t27=(date=35774)
genr t28=(date=35775)
genr t29=(date=35776)
genr t30=(date=35779)
genr t31=(date=35780)
genr t32=(date=35781)
genr t33=(date=35782)
genr t34=(date=35783)
genr t35=(date=35786)
genr t36=(date=35788)
'
' Japanese Estimates First
'
smpl if (jk=1)and(date>35737.5)and(date<35788.5)
c=0
equation ejap.ls lhs=((c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22)+(c(23)*t23)+(c(24)*t24)+(c(25)*t25)+(c(26)*t26)+(c(27)*t27)+(c(28)*t28)+(c(29)*t29)+(c(30)*t30)+(c(31)*t31)+(c(32)*t32)+(c(33)*t33)+(c(34)*t34)+(c(35)*t35)+(c(36)*t36))*((c(101)*f01)+(c(102)*f02)+(c(103)*f03)+(c(104)*f04)+(c(105)*f05)+(c(106)*f06)+(c(107)*f07)+(c(108)*f08)+(c(109)*f09)+(c(110)*f10)+(c(111)*f11)+(c(112)*f12)+(c(113)*f13)+(c(114)*f14)+(c(115)*f15)+(c(116)*f16)+(c(117)*f17)+(c(118)*f18)+(c(119)*f19)+(c(120)*f20)+(c(201)*g01)+(c(202)*g02)+(c(203)*g03)+(c(204)*g04)+(c(205)*g05)+(c(206)*g06)+(c(207)*g07)+(c(208)*g08)+(c(209)*g09)+(c(210)*g10)+(c(211)*g11)+(c(212)*g12)+(c(213)*g13)+(c(214)*g14)+(c(215)*g15)+(c(216)*g16)+(c(217)*g17)+(c(218)*g18)+(c(219)*g19)+(c(220)*g20)+(c(501)*j01)+(c(502)*j02)+(c(503)*j03)+(c(504)*j04)+(c(505)*j05)+(c(506)*j06)+(c(507)*j07)+(c(508)*j08)+(c(509)*j09)+(c(510)*j10)+(c(511)*j11)+(c(512)*j12)+(c(513)*j13)+(c(514)*j14)+(c(515)*j15)+(c(516)*j16)+(c(517)*j17)+(c(518)*j18)+(c(519)*j19)+(c(520)*j20)+rhs)
ejap.results(p)
scalar junk=ejap.@logl
results(3,4)=junk
delete junk ejap
'
' Korean Estimates Next
'
smpl if (jk=2)and(date>35737.5)and(date<35788.5)
c=0
equation ekor.ls lhs=((c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22)+(c(23)*t23)+(c(24)*t24)+(c(25)*t25)+(c(26)*t26)+(c(27)*t27)+(c(28)*t28)+(c(29)*t29)+(c(30)*t30)+(c(31)*t31)+(c(32)*t32)+(c(33)*t33)+(c(34)*t34)+(c(35)*t35)+(c(36)*t36))*((c(101)*h01)+(c(102)*h02)+(c(103)*h03)+(c(104)*h04)+(c(105)*h05)+(c(106)*h06)+(c(107)*h07)+(c(108)*h08)+(c(109)*h09)+(c(110)*h10)+(c(111)*h11)+(c(112)*h12)+(c(113)*h13)+(c(114)*h14)+(c(115)*h15)+(c(116)*h16)+(c(117)*h17)+(c(118)*h18)+(c(119)*h19)+(c(120)*h20)+(c(201)*i01)+(c(202)*i02)+(c(203)*i03)+(c(204)*i04)+(c(205)*i05)+(c(206)*i06)+(c(207)*i07)+(c(208)*i08)+(c(209)*i09)+(c(210)*i10)+(c(211)*i11)+(c(212)*i12)+(c(213)*i13)+(c(214)*i14)+(c(215)*i15)+(c(216)*i16)+(c(217)*i17)+(c(218)*i18)+(c(219)*i19)+(c(220)*i20)+(c(601)*k01)+(c(602)*k02)+(c(603)*k03)+(c(604)*k04)+(c(605)*k05)+(c(606)*k06)+(c(607)*k07)+(c(608)*k08)+(c(609)*k09)+(c(610)*k10)+(c(611)*k11)+(c(612)*k12)+(c(613)*k13)+(c(614)*k14)+(c(615)*k15)+(c(616)*k16)+(c(617)*k17)+(c(618)*k18)+(c(619)*k19)+(c(620)*k20)+rhs)
ekor.results(p)
scalar junk=ekor.@logl
results(3,5)=junk
delete junk ekor
'
' Joint Estimates Finally
'
smpl if (date>35737.5)and(date<35788.5)
c=0
equation ebth.ls lhs=((c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22)+(c(23)*t23)+(c(24)*t24)+(c(25)*t25)+(c(26)*t26)+(c(27)*t27)+(c(28)*t28)+(c(29)*t29)+(c(30)*t30)+(c(31)*t31)+(c(32)*t32)+(c(33)*t33)+(c(34)*t34)+(c(35)*t35)+(c(36)*t36))*((c(101)*f01)+(c(102)*f02)+(c(103)*f03)+(c(104)*f04)+(c(105)*f05)+(c(106)*f06)+(c(107)*f07)+(c(108)*f08)+(c(109)*f09)+(c(110)*f10)+(c(111)*f11)+(c(112)*f12)+(c(113)*f13)+(c(114)*f14)+(c(115)*f15)+(c(116)*f16)+(c(117)*f17)+(c(118)*f18)+(c(119)*f19)+(c(120)*f20)+(c(201)*g01)+(c(202)*g02)+(c(203)*g03)+(c(204)*g04)+(c(205)*g05)+(c(206)*g06)+(c(207)*g07)+(c(208)*g08)+(c(209)*g09)+(c(210)*g10)+(c(211)*g11)+(c(212)*g12)+(c(213)*g13)+(c(214)*g14)+(c(215)*g15)+(c(216)*g16)+(c(217)*g17)+(c(218)*g18)+(c(219)*g19)+(c(220)*g20)+(c(301)*h01)+(c(302)*h02)+(c(303)*h03)+(c(304)*h04)+(c(305)*h05)+(c(306)*h06)+(c(307)*h07)+(c(308)*h08)+(c(309)*h09)+(c(310)*h10)+(c(311)*h11)+(c(312)*h12)+(c(313)*h13)+(c(314)*h14)+(c(315)*h15)+(c(316)*h16)+(c(317)*h17)+(c(318)*h18)+(c(319)*h19)+(c(320)*h20)+(c(401)*i01)+(c(402)*i02)+(c(403)*i03)+(c(404)*i04)+(c(405)*i05)+(c(406)*i06)+(c(407)*i07)+(c(408)*i08)+(c(409)*i09)+(c(410)*i10)+(c(411)*i11)+(c(412)*i12)+(c(413)*i13)+(c(414)*i14)+(c(415)*i15)+(c(416)*i16)+(c(417)*i17)+(c(418)*i18)+(c(419)*i19)+(c(420)*i20)+(c(501)*j01)+(c(502)*j02)+(c(503)*j03)+(c(504)*j04)+(c(505)*j05)+(c(506)*j06)+(c(507)*j07)+(c(508)*j08)+(c(509)*j09)+(c(510)*j10)+(c(511)*j11)+(c(512)*j12)+(c(513)*j13)+(c(514)*j14)+(c(515)*j15)+(c(516)*j16)+(c(517)*j17)+(c(518)*j18)+(c(519)*j19)+(c(520)*j20)+(c(601)*k01)+(c(602)*k02)+(c(603)*k03)+(c(604)*k04)+(c(605)*k05)+(c(606)*k06)+(c(607)*k07)+(c(608)*k08)+(c(609)*k09)+(c(610)*k10)+(c(611)*k11)+(c(612)*k12)+(c(613)*k13)+(c(614)*k14)+(c(615)*k15)+(c(616)*k16)+(c(617)*k17)+(c(618)*k18)+(c(619)*k19)+(c(620)*k20)+rhs)
ebth.results(p)
scalar junk=ebth.@logl
results(3,6)=junk
delete junk ebth
delete t02 t03 t04 t05 t06 t07 t08 t09 t10 t11 t12 t13 t14 t15 t16 t17 t18 t19 t20 t21 t22 t23 t24 t25 t26 t27 t28 t29 t30 t31 t32 t33 t34 t35 t36

'
' 1998
'
smpl @all
genr t02=(date=36102)
genr t03=(date=36103)
genr t04=(date=36104)
genr t05=(date=36105)
genr t06=(date=36108)
genr t07=(date=36109)
genr t08=(date=36110)
genr t09=(date=36111)
genr t10=(date=36112)
genr t11=(date=36115)
genr t12=(date=36116)
genr t13=(date=36117)
genr t14=(date=36118)
genr t15=(date=36119)
genr t16=(date=36123)
genr t17=(date=36124)
genr t18=(date=36125)
genr t19=(date=36126)
genr t20=(date=36129)
genr t21=(date=36130)
genr t22=(date=36131)
genr t23=(date=36132)
genr t24=(date=36133)
genr t25=(date=36136)
genr t26=(date=36137)
genr t27=(date=36138)
genr t28=(date=36139)
genr t29=(date=36140)
genr t30=(date=36143)
genr t31=(date=36144)
genr t32=(date=36145)
genr t33=(date=36146)
genr t34=(date=36147)
genr t35=(date=36150)
genr t36=(date=36151)
genr t37=(date=36153)
'
' Japanese Estimates First
'
smpl if (jk=1)and(date>36101.5)and(date<36153.5)
c=0
equation ejap.ls lhs=((c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22)+(c(23)*t23)+(c(24)*t24)+(c(25)*t25)+(c(26)*t26)+(c(27)*t27)+(c(28)*t28)+(c(29)*t29)+(c(30)*t30)+(c(31)*t31)+(c(32)*t32)+(c(33)*t33)+(c(34)*t34)+(c(35)*t35)+(c(36)*t36)+(c(37)*t37))*((c(101)*f01)+(c(102)*f02)+(c(103)*f03)+(c(104)*f04)+(c(105)*f05)+(c(106)*f06)+(c(107)*f07)+(c(108)*f08)+(c(109)*f09)+(c(110)*f10)+(c(111)*f11)+(c(112)*f12)+(c(113)*f13)+(c(114)*f14)+(c(115)*f15)+(c(116)*f16)+(c(117)*f17)+(c(118)*f18)+(c(119)*f19)+(c(120)*f20)+(c(201)*g01)+(c(202)*g02)+(c(203)*g03)+(c(204)*g04)+(c(205)*g05)+(c(206)*g06)+(c(207)*g07)+(c(208)*g08)+(c(209)*g09)+(c(210)*g10)+(c(211)*g11)+(c(212)*g12)+(c(213)*g13)+(c(214)*g14)+(c(215)*g15)+(c(216)*g16)+(c(217)*g17)+(c(218)*g18)+(c(219)*g19)+(c(220)*g20)+(c(501)*j01)+(c(502)*j02)+(c(503)*j03)+(c(504)*j04)+(c(505)*j05)+(c(506)*j06)+(c(507)*j07)+(c(508)*j08)+(c(509)*j09)+(c(510)*j10)+(c(511)*j11)+(c(512)*j12)+(c(513)*j13)+(c(514)*j14)+(c(515)*j15)+(c(516)*j16)+(c(517)*j17)+(c(518)*j18)+(c(519)*j19)+(c(520)*j20)+rhs)
ejap.results(p)
scalar junk=ejap.@logl
results(3,7)=junk
delete junk ejap
'
' Korean Estimates Next
'
smpl if (jk=2)and(date>36101.5)and(date<36153.5)
c=0
equation ekor.ls lhs=((c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22)+(c(23)*t23)+(c(24)*t24)+(c(25)*t25)+(c(26)*t26)+(c(27)*t27)+(c(28)*t28)+(c(29)*t29)+(c(30)*t30)+(c(31)*t31)+(c(32)*t32)+(c(33)*t33)+(c(34)*t34)+(c(35)*t35)+(c(36)*t36)+(c(37)*t37))*((c(101)*h01)+(c(102)*h02)+(c(103)*h03)+(c(104)*h04)+(c(105)*h05)+(c(106)*h06)+(c(107)*h07)+(c(108)*h08)+(c(109)*h09)+(c(110)*h10)+(c(111)*h11)+(c(112)*h12)+(c(113)*h13)+(c(114)*h14)+(c(115)*h15)+(c(116)*h16)+(c(117)*h17)+(c(118)*h18)+(c(119)*h19)+(c(120)*h20)+(c(201)*i01)+(c(202)*i02)+(c(203)*i03)+(c(204)*i04)+(c(205)*i05)+(c(206)*i06)+(c(207)*i07)+(c(208)*i08)+(c(209)*i09)+(c(210)*i10)+(c(211)*i11)+(c(212)*i12)+(c(213)*i13)+(c(214)*i14)+(c(215)*i15)+(c(216)*i16)+(c(217)*i17)+(c(218)*i18)+(c(219)*i19)+(c(220)*i20)+(c(601)*k01)+(c(602)*k02)+(c(603)*k03)+(c(604)*k04)+(c(605)*k05)+(c(606)*k06)+(c(607)*k07)+(c(608)*k08)+(c(609)*k09)+(c(610)*k10)+(c(611)*k11)+(c(612)*k12)+(c(613)*k13)+(c(614)*k14)+(c(615)*k15)+(c(616)*k16)+(c(617)*k17)+(c(618)*k18)+(c(619)*k19)+(c(620)*k20)+rhs)
ekor.results(p)
scalar junk=ekor.@logl
results(3,8)=junk
delete junk ekor
'
' Joint Estimates Finally
'
smpl if (date>36101.5)and(date<36153.5)
c=0
equation ebth.ls lhs=((c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22)+(c(23)*t23)+(c(24)*t24)+(c(25)*t25)+(c(26)*t26)+(c(27)*t27)+(c(28)*t28)+(c(29)*t29)+(c(30)*t30)+(c(31)*t31)+(c(32)*t32)+(c(33)*t33)+(c(34)*t34)+(c(35)*t35)+(c(36)*t36)+(c(37)*t37))*((c(101)*f01)+(c(102)*f02)+(c(103)*f03)+(c(104)*f04)+(c(105)*f05)+(c(106)*f06)+(c(107)*f07)+(c(108)*f08)+(c(109)*f09)+(c(110)*f10)+(c(111)*f11)+(c(112)*f12)+(c(113)*f13)+(c(114)*f14)+(c(115)*f15)+(c(116)*f16)+(c(117)*f17)+(c(118)*f18)+(c(119)*f19)+(c(120)*f20)+(c(201)*g01)+(c(202)*g02)+(c(203)*g03)+(c(204)*g04)+(c(205)*g05)+(c(206)*g06)+(c(207)*g07)+(c(208)*g08)+(c(209)*g09)+(c(210)*g10)+(c(211)*g11)+(c(212)*g12)+(c(213)*g13)+(c(214)*g14)+(c(215)*g15)+(c(216)*g16)+(c(217)*g17)+(c(218)*g18)+(c(219)*g19)+(c(220)*g20)+(c(301)*h01)+(c(302)*h02)+(c(303)*h03)+(c(304)*h04)+(c(305)*h05)+(c(306)*h06)+(c(307)*h07)+(c(308)*h08)+(c(309)*h09)+(c(310)*h10)+(c(311)*h11)+(c(312)*h12)+(c(313)*h13)+(c(314)*h14)+(c(315)*h15)+(c(316)*h16)+(c(317)*h17)+(c(318)*h18)+(c(319)*h19)+(c(320)*h20)+(c(401)*i01)+(c(402)*i02)+(c(403)*i03)+(c(404)*i04)+(c(405)*i05)+(c(406)*i06)+(c(407)*i07)+(c(408)*i08)+(c(409)*i09)+(c(410)*i10)+(c(411)*i11)+(c(412)*i12)+(c(413)*i13)+(c(414)*i14)+(c(415)*i15)+(c(416)*i16)+(c(417)*i17)+(c(418)*i18)+(c(419)*i19)+(c(420)*i20)+(c(501)*j01)+(c(502)*j02)+(c(503)*j03)+(c(504)*j04)+(c(505)*j05)+(c(506)*j06)+(c(507)*j07)+(c(508)*j08)+(c(509)*j09)+(c(510)*j10)+(c(511)*j11)+(c(512)*j12)+(c(513)*j13)+(c(514)*j14)+(c(515)*j15)+(c(516)*j16)+(c(517)*j17)+(c(518)*j18)+(c(519)*j19)+(c(520)*j20)+(c(601)*k01)+(c(602)*k02)+(c(603)*k03)+(c(604)*k04)+(c(605)*k05)+(c(606)*k06)+(c(607)*k07)+(c(608)*k08)+(c(609)*k09)+(c(610)*k10)+(c(611)*k11)+(c(612)*k12)+(c(613)*k13)+(c(614)*k14)+(c(615)*k15)+(c(616)*k16)+(c(617)*k17)+(c(618)*k18)+(c(619)*k19)+(c(620)*k20)+rhs)
ebth.results(p)
scalar junk=ebth.@logl
results(3,9)=junk
delete junk ebth
delete t02 t03 t04 t05 t06 t07 t08 t09 t10 t11 t12 t13 t14 t15 t16 t17 t18 t19 t20 t21 t22 t23 t24 t25 t26 t27 t28 t29 t30 t31 t32 t33 t34 t35 t36 t37

output off
