output(t) c:\res\stockreg\crisis\pcrff1a
' This EViews program estimates a 4-factor for the S&P stocks for
' 3 different months for each of 4 years ('96-'99) in and around crises.
' The idea is to check for integration inside (but not across) US stock markets
'
' Each sample has 20 portfolios of 5 firms each
' and we lose 1 lead (regressand) and 1 lag (normalization) each period.
'
' This perturbation of pcrff1 that deletes the "odd" Fama-French time-varying factors
' smb (variables 'gx" coefficients "2x")
' hml (variables 'hx' coefficients "3x")
'
' The factors are:
' mktmrf (variables "fx" coefficients "1x")
' intercepts (variables 'ix' coefficients "4x")
'
' Load the data set
'
load \res\stockreg\crisis\datacr2
smpl @all
sort year month day portn
'
' Create the time dummies
'
genr t1=(bday=1)
genr t2=(bday=2)
genr t3=(bday=3)
genr t4=(bday=4)
genr t5=(bday=5)
genr t6=(bday=6)
genr t7=(bday=7)
genr t8=(bday=8)
genr t9=(bday=9)
genr t10=(bday=10)
genr t11=(bday=11)
genr t12=(bday=12)
genr t13=(bday=13)
genr t14=(bday=14)
genr t15=(bday=15)
genr t16=(bday=16)
genr t17=(bday=17)
genr t18=(bday=18)
genr t19=(bday=19)
genr t20=(bday=20)
genr t21=(bday=21)
genr t22=(bday=22)
genr t23=(bday=23)
genr t24=(bday=24)
'
' Create the portfolio interactive dummies: mktmrf with rf added back in
'
genr f01=(portn=1)*(mktmrf+rf)
genr f02=(portn=2)*(mktmrf+rf)
genr f03=(portn=3)*(mktmrf+rf)
genr f04=(portn=4)*(mktmrf+rf)
genr f05=(portn=5)*(mktmrf+rf)
genr f06=(portn=6)*(mktmrf+rf)
genr f07=(portn=7)*(mktmrf+rf)
genr f08=(portn=8)*(mktmrf+rf)
genr f09=(portn=9)*(mktmrf+rf)
genr f10=(portn=10)*(mktmrf+rf)
genr f11=(portn=11)*(mktmrf+rf)
genr f12=(portn=12)*(mktmrf+rf)
genr f13=(portn=13)*(mktmrf+rf)
genr f14=(portn=14)*(mktmrf+rf)
genr f15=(portn=15)*(mktmrf+rf)
genr f16=(portn=16)*(mktmrf+rf)
genr f17=(portn=17)*(mktmrf+rf)
genr f18=(portn=18)*(mktmrf+rf)
genr f19=(portn=19)*(mktmrf+rf)
genr f20=(portn=20)*(mktmrf+rf)
'
' Create the portfolio interactive dummies: intercepts
'
genr i01=(portn=1)
genr i02=(portn=2)
genr i03=(portn=3)
genr i04=(portn=4)
genr i05=(portn=5)
genr i06=(portn=6)
genr i07=(portn=7)
genr i08=(portn=8)
genr i09=(portn=9)
genr i10=(portn=10)
genr i11=(portn=11)
genr i12=(portn=12)
genr i13=(portn=13)
genr i14=(portn=14)
genr i15=(portn=15)
genr i16=(portn=16)
genr i17=(portn=17)
genr i18=(portn=18)
genr i19=(portn=19)
genr i20=(portn=20)
'
' Create the 2- and 1-day returns
'
sort portn year period
smpl if (portn(+1)=portn(-1))
genr lhs=port(+1)/port(-1)
genr rhs=port/port(-1)
smpl @all
'
' Set up a table for results
'
table(3,36) results
setcell(results,1,1, "Log Likelihoods from pcrff1a")
results(2,1) = "9/96: 1st"
results(2,2) = "9/96: 2nd"
results(2,3) = "9/96: bth"
results(2,4) = "10/96: 1st"
results(2,5) = "10/96: 2nd"
results(2,6) = "10/96: bth"
results(2,7) = "11/96: 1st"
results(2,8) = "11/96: 2nd"
results(2,9) = "11/96: bth"
results(2,10) = "9/97: 1st"
results(2,11) = "9/97: 2nd"
results(2,12) = "9/97: bth"
results(2,13) = "10/97: 1st"
results(2,14) = "10/97: 2nd"
results(2,15) = "10/97: bth"
results(2,16) = "11/97: 1st"
results(2,17) = "11/97: 2nd"
results(2,18) = "11/97: bth"
results(2,19) = "9/98: 1st"
results(2,20) = "9/98: 2nd"
results(2,21) = "9/98: bth"
results(2,22) = "10/98: 1st"
results(2,23) = "10/98: 2nd"
results(2,24) = "10/98: bth"
results(2,25) = "11/98: 1st"
results(2,26) = "11/98: 2nd"
results(2,27) = "11/98: bth"
results(2,28) = "9/99: 1st"
results(2,29) = "9/99: 2nd"
results(2,30) = "9/99: bth"
results(2,31) = "10/99: 1st"
results(2,32) = "10/99: 2nd"
results(2,33) = "10/99: bth"
results(2,34) = "11/99: 1st"
results(2,35) = "11/99: 2nd"
results(2,36) = "11/99: bth"
'
' September 1996
'
' Estimate the equations for subsets, then jointly for a LR test
' First Half
smpl if ((year=1996)and(month=9)and(bday>1.5))and(portn<10.5)
c=0
equation e1st.ls(n) lhs=((c(2)*t2)+(c(3)*t3)+(c(4)*t4)+(c(5)*t5)+(c(6)*t6)+(c(7)*t7)+(c(8)*t8)+(c(9)*t9)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20))*((c(101)*f01)+(c(102)*f02)+(c(103)*f03)+(c(104)*f04)+(c(105)*f05)+(c(106)*f06)+(c(107)*f07)+(c(108)*f08)+(c(109)*f09)+(c(110)*f10)+(c(401)*i01)+(c(402)*i02)+(c(403)*i03)+(c(404)*i04)+(c(405)*i05)+(c(406)*i06)+(c(407)*i07)+(c(408)*i08)+(c(409)*i09)+(c(410)*i10)+rhs)
scalar junk=e1st.@logl
results(3,1)=junk
delete junk
' Second Half
smpl if ((year=1996)and(month=9)and(bday>1.5))and(portn>10.5)
c=0
equation e2nd.ls(n) lhs=((c(2)*t2)+(c(3)*t3)+(c(4)*t4)+(c(5)*t5)+(c(6)*t6)+(c(7)*t7)+(c(8)*t8)+(c(9)*t9)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20))*((c(111)*f11)+(c(112)*f12)+(c(113)*f13)+(c(114)*f14)+(c(115)*f15)+(c(116)*f16)+(c(117)*f17)+(c(118)*f18)+(c(119)*f19)+(c(120)*f20)+(c(411)*i11)+(c(412)*i12)+(c(413)*i13)+(c(414)*i14)+(c(415)*i15)+(c(416)*i16)+(c(417)*i17)+(c(418)*i18)+(c(419)*i19)+(c(420)*i20)+rhs)
scalar junk=e2nd.@logl
results(3,2)=junk
delete junk
' All
smpl if ((year=1996)and(month=9)and(bday>1.5))
c=0
equation eall.ls(n) lhs=((c(2)*t2)+(c(3)*t3)+(c(4)*t4)+(c(5)*t5)+(c(6)*t6)+(c(7)*t7)+(c(8)*t8)+(c(9)*t9)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20))*((c(101)*f01)+(c(102)*f02)+(c(103)*f03)+(c(104)*f04)+(c(105)*f05)+(c(106)*f06)+(c(107)*f07)+(c(108)*f08)+(c(109)*f09)+(c(110)*f10)+(c(111)*f11)+(c(112)*f12)+(c(113)*f13)+(c(114)*f14)+(c(115)*f15)+(c(116)*f16)+(c(117)*f17)+(c(118)*f18)+(c(119)*f19)+(c(120)*f20)+(c(401)*i01)+(c(402)*i02)+(c(403)*i03)+(c(404)*i04)+(c(405)*i05)+(c(406)*i06)+(c(407)*i07)+(c(408)*i08)+(c(409)*i09)+(c(410)*i10)+(c(411)*i11)+(c(412)*i12)+(c(413)*i13)+(c(414)*i14)+(c(415)*i15)+(c(416)*i16)+(c(417)*i17)+(c(418)*i18)+(c(419)*i19)+(c(420)*i20)+rhs)
scalar junk=eall.@logl
results(3,3)=junk
delete junk
eall.results(p)
'
' October 1996
'
' Estimate the equations for subsets, then jointly for a LR test
' First Half
smpl if ((year=1996)and(month=10))and(portn<10.5)
c=0
equation e1st.ls(n) lhs=((c(1)*t1)+(c(2)*t2)+(c(3)*t3)+(c(4)*t4)+(c(5)*t5)+(c(6)*t6)+(c(7)*t7)+(c(8)*t8)+(c(9)*t9)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22)+(c(23)*t23))*((c(101)*f01)+(c(102)*f02)+(c(103)*f03)+(c(104)*f04)+(c(105)*f05)+(c(106)*f06)+(c(107)*f07)+(c(108)*f08)+(c(109)*f09)+(c(110)*f10)+(c(401)*i01)+(c(402)*i02)+(c(403)*i03)+(c(404)*i04)+(c(405)*i05)+(c(406)*i06)+(c(407)*i07)+(c(408)*i08)+(c(409)*i09)+(c(410)*i10)+rhs)
scalar junk=e1st.@logl
results(3,4)=junk
delete junk
' Second Half
smpl if ((year=1996)and(month=10))and(portn>10.5)
c=0
equation e2nd.ls(n) lhs=((c(1)*t1)+(c(2)*t2)+(c(3)*t3)+(c(4)*t4)+(c(5)*t5)+(c(6)*t6)+(c(7)*t7)+(c(8)*t8)+(c(9)*t9)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22)+(c(23)*t23))*((c(111)*f11)+(c(112)*f12)+(c(113)*f13)+(c(114)*f14)+(c(115)*f15)+(c(116)*f16)+(c(117)*f17)+(c(118)*f18)+(c(119)*f19)+(c(120)*f20)+(c(411)*i11)+(c(412)*i12)+(c(413)*i13)+(c(414)*i14)+(c(415)*i15)+(c(416)*i16)+(c(417)*i17)+(c(418)*i18)+(c(419)*i19)+(c(420)*i20)+rhs)
scalar junk=e2nd.@logl
results(3,5)=junk
delete junk
' All
smpl if ((year=1996)and(month=10))
c=0
equation eall.ls(n) lhs=((c(1)*t1)+(c(2)*t2)+(c(3)*t3)+(c(4)*t4)+(c(5)*t5)+(c(6)*t6)+(c(7)*t7)+(c(8)*t8)+(c(9)*t9)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22)+(c(23)*t23))*((c(101)*f01)+(c(102)*f02)+(c(103)*f03)+(c(104)*f04)+(c(105)*f05)+(c(106)*f06)+(c(107)*f07)+(c(108)*f08)+(c(109)*f09)+(c(110)*f10)+(c(111)*f11)+(c(112)*f12)+(c(113)*f13)+(c(114)*f14)+(c(115)*f15)+(c(116)*f16)+(c(117)*f17)+(c(118)*f18)+(c(119)*f19)+(c(120)*f20)+(c(401)*i01)+(c(402)*i02)+(c(403)*i03)+(c(404)*i04)+(c(405)*i05)+(c(406)*i06)+(c(407)*i07)+(c(408)*i08)+(c(409)*i09)+(c(410)*i10)+(c(411)*i11)+(c(412)*i12)+(c(413)*i13)+(c(414)*i14)+(c(415)*i15)+(c(416)*i16)+(c(417)*i17)+(c(418)*i18)+(c(419)*i19)+(c(420)*i20)+rhs)
scalar junk=eall.@logl
results(3,6)=junk
delete junk
eall.results(p)
'
' November 1996
'
' Estimate the equations for subsets, then jointly for a LR test
' First Half
smpl if ((year=1996)and(month=11)and(bday<19.5))and(portn<10.5)
c=0
equation e1st.ls(n) lhs=((c(1)*t1)+(c(2)*t2)+(c(3)*t3)+(c(4)*t4)+(c(5)*t5)+(c(6)*t6)+(c(7)*t7)+(c(8)*t8)+(c(9)*t9)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19))*((c(101)*f01)+(c(102)*f02)+(c(103)*f03)+(c(104)*f04)+(c(105)*f05)+(c(106)*f06)+(c(107)*f07)+(c(108)*f08)+(c(109)*f09)+(c(110)*f10)+(c(401)*i01)+(c(402)*i02)+(c(403)*i03)+(c(404)*i04)+(c(405)*i05)+(c(406)*i06)+(c(407)*i07)+(c(408)*i08)+(c(409)*i09)+(c(410)*i10)+rhs)
scalar junk=e1st.@logl
results(3,7)=junk
delete junk
' Second Half
smpl if ((year=1996)and(month=11)and(bday<19.5))and(portn>10.5)
c=0
equation e2nd.ls(n) lhs=((c(1)*t1)+(c(2)*t2)+(c(3)*t3)+(c(4)*t4)+(c(5)*t5)+(c(6)*t6)+(c(7)*t7)+(c(8)*t8)+(c(9)*t9)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19))*((c(111)*f11)+(c(112)*f12)+(c(113)*f13)+(c(114)*f14)+(c(115)*f15)+(c(116)*f16)+(c(117)*f17)+(c(118)*f18)+(c(119)*f19)+(c(120)*f20)+(c(411)*i11)+(c(412)*i12)+(c(413)*i13)+(c(414)*i14)+(c(415)*i15)+(c(416)*i16)+(c(417)*i17)+(c(418)*i18)+(c(419)*i19)+(c(420)*i20)+rhs)
scalar junk=e2nd.@logl
results(3,8)=junk
delete junk
' All
smpl if ((year=1996)and(month=11)and(bday<19.5))
c=0
equation eall.ls(n) lhs=((c(1)*t1)+(c(2)*t2)+(c(3)*t3)+(c(4)*t4)+(c(5)*t5)+(c(6)*t6)+(c(7)*t7)+(c(8)*t8)+(c(9)*t9)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19))*((c(101)*f01)+(c(102)*f02)+(c(103)*f03)+(c(104)*f04)+(c(105)*f05)+(c(106)*f06)+(c(107)*f07)+(c(108)*f08)+(c(109)*f09)+(c(110)*f10)+(c(111)*f11)+(c(112)*f12)+(c(113)*f13)+(c(114)*f14)+(c(115)*f15)+(c(116)*f16)+(c(117)*f17)+(c(118)*f18)+(c(119)*f19)+(c(120)*f20)+(c(401)*i01)+(c(402)*i02)+(c(403)*i03)+(c(404)*i04)+(c(405)*i05)+(c(406)*i06)+(c(407)*i07)+(c(408)*i08)+(c(409)*i09)+(c(410)*i10)+(c(411)*i11)+(c(412)*i12)+(c(413)*i13)+(c(414)*i14)+(c(415)*i15)+(c(416)*i16)+(c(417)*i17)+(c(418)*i18)+(c(419)*i19)+(c(420)*i20)+rhs)
scalar junk=eall.@logl
results(3,9)=junk
delete junk
eall.results(p)
'
' September 1997
'
' Estimate the equations for subsets, then jointly for a LR test
' First Half
smpl if ((year=1997)and(month=9)and(bday>1.5))and(portn<10.5)
c=0
equation e1st.ls(n) lhs=((c(2)*t2)+(c(3)*t3)+(c(4)*t4)+(c(5)*t5)+(c(6)*t6)+(c(7)*t7)+(c(8)*t8)+(c(9)*t9)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21))*((c(101)*f01)+(c(102)*f02)+(c(103)*f03)+(c(104)*f04)+(c(105)*f05)+(c(106)*f06)+(c(107)*f07)+(c(108)*f08)+(c(109)*f09)+(c(110)*f10)+(c(401)*i01)+(c(402)*i02)+(c(403)*i03)+(c(404)*i04)+(c(405)*i05)+(c(406)*i06)+(c(407)*i07)+(c(408)*i08)+(c(409)*i09)+(c(410)*i10)+rhs)
scalar junk=e1st.@logl
results(3,10)=junk
delete junk
' Second Half
smpl if ((year=1997)and(month=9)and(bday>1.5))and(portn>10.5)
c=0
equation e2nd.ls(n) lhs=((c(2)*t2)+(c(3)*t3)+(c(4)*t4)+(c(5)*t5)+(c(6)*t6)+(c(7)*t7)+(c(8)*t8)+(c(9)*t9)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21))*((c(111)*f11)+(c(112)*f12)+(c(113)*f13)+(c(114)*f14)+(c(115)*f15)+(c(116)*f16)+(c(117)*f17)+(c(118)*f18)+(c(119)*f19)+(c(120)*f20)+(c(411)*i11)+(c(412)*i12)+(c(413)*i13)+(c(414)*i14)+(c(415)*i15)+(c(416)*i16)+(c(417)*i17)+(c(418)*i18)+(c(419)*i19)+(c(420)*i20)+rhs)
scalar junk=e2nd.@logl
results(3,11)=junk
delete junk
' All
smpl if ((year=1997)and(month=9)and(bday>1.5))
c=0
equation eall.ls(n) lhs=((c(2)*t2)+(c(3)*t3)+(c(4)*t4)+(c(5)*t5)+(c(6)*t6)+(c(7)*t7)+(c(8)*t8)+(c(9)*t9)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21))*((c(101)*f01)+(c(102)*f02)+(c(103)*f03)+(c(104)*f04)+(c(105)*f05)+(c(106)*f06)+(c(107)*f07)+(c(108)*f08)+(c(109)*f09)+(c(110)*f10)+(c(111)*f11)+(c(112)*f12)+(c(113)*f13)+(c(114)*f14)+(c(115)*f15)+(c(116)*f16)+(c(117)*f17)+(c(118)*f18)+(c(119)*f19)+(c(120)*f20)+(c(401)*i01)+(c(402)*i02)+(c(403)*i03)+(c(404)*i04)+(c(405)*i05)+(c(406)*i06)+(c(407)*i07)+(c(408)*i08)+(c(409)*i09)+(c(410)*i10)+(c(411)*i11)+(c(412)*i12)+(c(413)*i13)+(c(414)*i14)+(c(415)*i15)+(c(416)*i16)+(c(417)*i17)+(c(418)*i18)+(c(419)*i19)+(c(420)*i20)+rhs)
scalar junk=eall.@logl
results(3,12)=junk
delete junk
eall.results(p)
'
' October 1997
'
' Estimate the equations for subsets, then jointly for a LR test
' First Half
smpl if ((year=1997)and(month=10))and(portn<10.5)
c=0
equation e1st.ls(n) lhs=((c(1)*t1)+(c(2)*t2)+(c(3)*t3)+(c(4)*t4)+(c(5)*t5)+(c(6)*t6)+(c(7)*t7)+(c(8)*t8)+(c(9)*t9)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22)+(c(23)*t23))*((c(101)*f01)+(c(102)*f02)+(c(103)*f03)+(c(104)*f04)+(c(105)*f05)+(c(106)*f06)+(c(107)*f07)+(c(108)*f08)+(c(109)*f09)+(c(110)*f10)+(c(401)*i01)+(c(402)*i02)+(c(403)*i03)+(c(404)*i04)+(c(405)*i05)+(c(406)*i06)+(c(407)*i07)+(c(408)*i08)+(c(409)*i09)+(c(410)*i10)+rhs)
scalar junk=e1st.@logl
results(3,13)=junk
delete junk
' Second Half
smpl if ((year=1997)and(month=10))and(portn>10.5)
c=0
equation e2nd.ls(n) lhs=((c(1)*t1)+(c(2)*t2)+(c(3)*t3)+(c(4)*t4)+(c(5)*t5)+(c(6)*t6)+(c(7)*t7)+(c(8)*t8)+(c(9)*t9)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22)+(c(23)*t23))*((c(111)*f11)+(c(112)*f12)+(c(113)*f13)+(c(114)*f14)+(c(115)*f15)+(c(116)*f16)+(c(117)*f17)+(c(118)*f18)+(c(119)*f19)+(c(120)*f20)+(c(411)*i11)+(c(412)*i12)+(c(413)*i13)+(c(414)*i14)+(c(415)*i15)+(c(416)*i16)+(c(417)*i17)+(c(418)*i18)+(c(419)*i19)+(c(420)*i20)+rhs)
scalar junk=e2nd.@logl
results(3,14)=junk
delete junk
' All
smpl if ((year=1997)and(month=10))
c=0
equation eall.ls(n) lhs=((c(1)*t1)+(c(2)*t2)+(c(3)*t3)+(c(4)*t4)+(c(5)*t5)+(c(6)*t6)+(c(7)*t7)+(c(8)*t8)+(c(9)*t9)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22)+(c(23)*t23))*((c(101)*f01)+(c(102)*f02)+(c(103)*f03)+(c(104)*f04)+(c(105)*f05)+(c(106)*f06)+(c(107)*f07)+(c(108)*f08)+(c(109)*f09)+(c(110)*f10)+(c(111)*f11)+(c(112)*f12)+(c(113)*f13)+(c(114)*f14)+(c(115)*f15)+(c(116)*f16)+(c(117)*f17)+(c(118)*f18)+(c(119)*f19)+(c(120)*f20)+(c(401)*i01)+(c(402)*i02)+(c(403)*i03)+(c(404)*i04)+(c(405)*i05)+(c(406)*i06)+(c(407)*i07)+(c(408)*i08)+(c(409)*i09)+(c(410)*i10)+(c(411)*i11)+(c(412)*i12)+(c(413)*i13)+(c(414)*i14)+(c(415)*i15)+(c(416)*i16)+(c(417)*i17)+(c(418)*i18)+(c(419)*i19)+(c(420)*i20)+rhs)
scalar junk=eall.@logl
results(3,15)=junk
delete junk
eall.results(p)
'
' November 1997
'
' Estimate the equations for subsets, then jointly for a LR test
' First Half
smpl if ((year=1997)and(month=11)and(bday<18.5))and(portn<10.5)
c=0
equation e1st.ls(n) lhs=((c(1)*t1)+(c(2)*t2)+(c(3)*t3)+(c(4)*t4)+(c(5)*t5)+(c(6)*t6)+(c(7)*t7)+(c(8)*t8)+(c(9)*t9)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18))*((c(101)*f01)+(c(102)*f02)+(c(103)*f03)+(c(104)*f04)+(c(105)*f05)+(c(106)*f06)+(c(107)*f07)+(c(108)*f08)+(c(109)*f09)+(c(110)*f10)+(c(401)*i01)+(c(402)*i02)+(c(403)*i03)+(c(404)*i04)+(c(405)*i05)+(c(406)*i06)+(c(407)*i07)+(c(408)*i08)+(c(409)*i09)+(c(410)*i10)+rhs)
scalar junk=e1st.@logl
results(3,16)=junk
delete junk
' Second Half
smpl if ((year=1997)and(month=11)and(bday<18.5))and(portn>10.5)
c=0
equation e2nd.ls(n) lhs=((c(1)*t1)+(c(2)*t2)+(c(3)*t3)+(c(4)*t4)+(c(5)*t5)+(c(6)*t6)+(c(7)*t7)+(c(8)*t8)+(c(9)*t9)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18))*((c(111)*f11)+(c(112)*f12)+(c(113)*f13)+(c(114)*f14)+(c(115)*f15)+(c(116)*f16)+(c(117)*f17)+(c(118)*f18)+(c(119)*f19)+(c(120)*f20)+(c(411)*i11)+(c(412)*i12)+(c(413)*i13)+(c(414)*i14)+(c(415)*i15)+(c(416)*i16)+(c(417)*i17)+(c(418)*i18)+(c(419)*i19)+(c(420)*i20)+rhs)
scalar junk=e2nd.@logl
results(3,17)=junk
delete junk
' All
smpl if ((year=1997)and(month=11)and(bday<18.5))
c=0
equation eall.ls(n) lhs=((c(1)*t1)+(c(2)*t2)+(c(3)*t3)+(c(4)*t4)+(c(5)*t5)+(c(6)*t6)+(c(7)*t7)+(c(8)*t8)+(c(9)*t9)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18))*((c(101)*f01)+(c(102)*f02)+(c(103)*f03)+(c(104)*f04)+(c(105)*f05)+(c(106)*f06)+(c(107)*f07)+(c(108)*f08)+(c(109)*f09)+(c(110)*f10)+(c(111)*f11)+(c(112)*f12)+(c(113)*f13)+(c(114)*f14)+(c(115)*f15)+(c(116)*f16)+(c(117)*f17)+(c(118)*f18)+(c(119)*f19)+(c(120)*f20)+(c(401)*i01)+(c(402)*i02)+(c(403)*i03)+(c(404)*i04)+(c(405)*i05)+(c(406)*i06)+(c(407)*i07)+(c(408)*i08)+(c(409)*i09)+(c(410)*i10)+(c(411)*i11)+(c(412)*i12)+(c(413)*i13)+(c(414)*i14)+(c(415)*i15)+(c(416)*i16)+(c(417)*i17)+(c(418)*i18)+(c(419)*i19)+(c(420)*i20)+rhs)
scalar junk=eall.@logl
results(3,18)=junk
delete junk
eall.results(p)
'
' September 1998
'
' Estimate the equations for subsets, then jointly for a LR test
' First Half
smpl if ((year=1998)and(month=9)and(bday>1.5))and(portn<10.5)
c=0
equation e1st.ls(n) lhs=((c(2)*t2)+(c(3)*t3)+(c(4)*t4)+(c(5)*t5)+(c(6)*t6)+(c(7)*t7)+(c(8)*t8)+(c(9)*t9)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21))*((c(101)*f01)+(c(102)*f02)+(c(103)*f03)+(c(104)*f04)+(c(105)*f05)+(c(106)*f06)+(c(107)*f07)+(c(108)*f08)+(c(109)*f09)+(c(110)*f10)+(c(401)*i01)+(c(402)*i02)+(c(403)*i03)+(c(404)*i04)+(c(405)*i05)+(c(406)*i06)+(c(407)*i07)+(c(408)*i08)+(c(409)*i09)+(c(410)*i10)+rhs)
scalar junk=e1st.@logl
results(3,19)=junk
delete junk
' Second Half
smpl if ((year=1998)and(month=9)and(bday>1.5))and(portn>10.5)
c=0
equation e2nd.ls(n) lhs=((c(2)*t2)+(c(3)*t3)+(c(4)*t4)+(c(5)*t5)+(c(6)*t6)+(c(7)*t7)+(c(8)*t8)+(c(9)*t9)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21))*((c(111)*f11)+(c(112)*f12)+(c(113)*f13)+(c(114)*f14)+(c(115)*f15)+(c(116)*f16)+(c(117)*f17)+(c(118)*f18)+(c(119)*f19)+(c(120)*f20)+(c(411)*i11)+(c(412)*i12)+(c(413)*i13)+(c(414)*i14)+(c(415)*i15)+(c(416)*i16)+(c(417)*i17)+(c(418)*i18)+(c(419)*i19)+(c(420)*i20)+rhs)
scalar junk=e2nd.@logl
results(3,20)=junk
delete junk
' All
smpl if ((year=1998)and(month=9)and(bday>1.5))
c=0
equation eall.ls(n) lhs=((c(2)*t2)+(c(3)*t3)+(c(4)*t4)+(c(5)*t5)+(c(6)*t6)+(c(7)*t7)+(c(8)*t8)+(c(9)*t9)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21))*((c(101)*f01)+(c(102)*f02)+(c(103)*f03)+(c(104)*f04)+(c(105)*f05)+(c(106)*f06)+(c(107)*f07)+(c(108)*f08)+(c(109)*f09)+(c(110)*f10)+(c(111)*f11)+(c(112)*f12)+(c(113)*f13)+(c(114)*f14)+(c(115)*f15)+(c(116)*f16)+(c(117)*f17)+(c(118)*f18)+(c(119)*f19)+(c(120)*f20)+(c(401)*i01)+(c(402)*i02)+(c(403)*i03)+(c(404)*i04)+(c(405)*i05)+(c(406)*i06)+(c(407)*i07)+(c(408)*i08)+(c(409)*i09)+(c(410)*i10)+(c(411)*i11)+(c(412)*i12)+(c(413)*i13)+(c(414)*i14)+(c(415)*i15)+(c(416)*i16)+(c(417)*i17)+(c(418)*i18)+(c(419)*i19)+(c(420)*i20)+rhs)
scalar junk=eall.@logl
results(3,21)=junk
delete junk
eall.results(p)
'
' October 1998
'
' Estimate the equations for subsets, then jointly for a LR test
' First Half
smpl if ((year=1998)and(month=10))and(portn<10.5)
c=0
equation e1st.ls(n) lhs=((c(1)*t1)+(c(2)*t2)+(c(3)*t3)+(c(4)*t4)+(c(5)*t5)+(c(6)*t6)+(c(7)*t7)+(c(8)*t8)+(c(9)*t9)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22))*((c(101)*f01)+(c(102)*f02)+(c(103)*f03)+(c(104)*f04)+(c(105)*f05)+(c(106)*f06)+(c(107)*f07)+(c(108)*f08)+(c(109)*f09)+(c(110)*f10)+(c(401)*i01)+(c(402)*i02)+(c(403)*i03)+(c(404)*i04)+(c(405)*i05)+(c(406)*i06)+(c(407)*i07)+(c(408)*i08)+(c(409)*i09)+(c(410)*i10)+rhs)
scalar junk=e1st.@logl
results(3,22)=junk
delete junk
' Second Half
smpl if ((year=1998)and(month=10))and(portn>10.5)
c=0
equation e2nd.ls(n) lhs=((c(1)*t1)+(c(2)*t2)+(c(3)*t3)+(c(4)*t4)+(c(5)*t5)+(c(6)*t6)+(c(7)*t7)+(c(8)*t8)+(c(9)*t9)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22))*((c(111)*f11)+(c(112)*f12)+(c(113)*f13)+(c(114)*f14)+(c(115)*f15)+(c(116)*f16)+(c(117)*f17)+(c(118)*f18)+(c(119)*f19)+(c(120)*f20)+(c(411)*i11)+(c(412)*i12)+(c(413)*i13)+(c(414)*i14)+(c(415)*i15)+(c(416)*i16)+(c(417)*i17)+(c(418)*i18)+(c(419)*i19)+(c(420)*i20)+rhs)
scalar junk=e2nd.@logl
results(3,23)=junk
delete junk
' All
smpl if ((year=1998)and(month=10))
c=0
equation eall.ls(n) lhs=((c(1)*t1)+(c(2)*t2)+(c(3)*t3)+(c(4)*t4)+(c(5)*t5)+(c(6)*t6)+(c(7)*t7)+(c(8)*t8)+(c(9)*t9)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22))*((c(101)*f01)+(c(102)*f02)+(c(103)*f03)+(c(104)*f04)+(c(105)*f05)+(c(106)*f06)+(c(107)*f07)+(c(108)*f08)+(c(109)*f09)+(c(110)*f10)+(c(111)*f11)+(c(112)*f12)+(c(113)*f13)+(c(114)*f14)+(c(115)*f15)+(c(116)*f16)+(c(117)*f17)+(c(118)*f18)+(c(119)*f19)+(c(120)*f20)+(c(401)*i01)+(c(402)*i02)+(c(403)*i03)+(c(404)*i04)+(c(405)*i05)+(c(406)*i06)+(c(407)*i07)+(c(408)*i08)+(c(409)*i09)+(c(410)*i10)+(c(411)*i11)+(c(412)*i12)+(c(413)*i13)+(c(414)*i14)+(c(415)*i15)+(c(416)*i16)+(c(417)*i17)+(c(418)*i18)+(c(419)*i19)+(c(420)*i20)+rhs)
scalar junk=eall.@logl
results(3,24)=junk
delete junk
eall.results(p)
'
' November 1998
'
' Estimate the equations for subsets, then jointly for a LR test
' First Half
smpl if ((year=1998)and(month=11)and(bday<19.5))and(portn<10.5)
c=0
equation e1st.ls(n) lhs=((c(1)*t1)+(c(2)*t2)+(c(3)*t3)+(c(4)*t4)+(c(5)*t5)+(c(6)*t6)+(c(7)*t7)+(c(8)*t8)+(c(9)*t9)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19))*((c(101)*f01)+(c(102)*f02)+(c(103)*f03)+(c(104)*f04)+(c(105)*f05)+(c(106)*f06)+(c(107)*f07)+(c(108)*f08)+(c(109)*f09)+(c(110)*f10)+(c(401)*i01)+(c(402)*i02)+(c(403)*i03)+(c(404)*i04)+(c(405)*i05)+(c(406)*i06)+(c(407)*i07)+(c(408)*i08)+(c(409)*i09)+(c(410)*i10)+rhs)
scalar junk=e1st.@logl
results(3,25)=junk
delete junk
' Second Half
smpl if ((year=1998)and(month=11)and(bday<19.5))and(portn>10.5)
c=0
equation e2nd.ls(n) lhs=((c(1)*t1)+(c(2)*t2)+(c(3)*t3)+(c(4)*t4)+(c(5)*t5)+(c(6)*t6)+(c(7)*t7)+(c(8)*t8)+(c(9)*t9)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19))*((c(111)*f11)+(c(112)*f12)+(c(113)*f13)+(c(114)*f14)+(c(115)*f15)+(c(116)*f16)+(c(117)*f17)+(c(118)*f18)+(c(119)*f19)+(c(120)*f20)+(c(411)*i11)+(c(412)*i12)+(c(413)*i13)+(c(414)*i14)+(c(415)*i15)+(c(416)*i16)+(c(417)*i17)+(c(418)*i18)+(c(419)*i19)+(c(420)*i20)+rhs)
scalar junk=e2nd.@logl
results(3,26)=junk
delete junk
' All
smpl if ((year=1998)and(month=11)and(bday<19.5))
c=0
equation eall.ls(n) lhs=((c(1)*t1)+(c(2)*t2)+(c(3)*t3)+(c(4)*t4)+(c(5)*t5)+(c(6)*t6)+(c(7)*t7)+(c(8)*t8)+(c(9)*t9)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19))*((c(101)*f01)+(c(102)*f02)+(c(103)*f03)+(c(104)*f04)+(c(105)*f05)+(c(106)*f06)+(c(107)*f07)+(c(108)*f08)+(c(109)*f09)+(c(110)*f10)+(c(111)*f11)+(c(112)*f12)+(c(113)*f13)+(c(114)*f14)+(c(115)*f15)+(c(116)*f16)+(c(117)*f17)+(c(118)*f18)+(c(119)*f19)+(c(120)*f20)+(c(401)*i01)+(c(402)*i02)+(c(403)*i03)+(c(404)*i04)+(c(405)*i05)+(c(406)*i06)+(c(407)*i07)+(c(408)*i08)+(c(409)*i09)+(c(410)*i10)+(c(411)*i11)+(c(412)*i12)+(c(413)*i13)+(c(414)*i14)+(c(415)*i15)+(c(416)*i16)+(c(417)*i17)+(c(418)*i18)+(c(419)*i19)+(c(420)*i20)+rhs)
scalar junk=eall.@logl
results(3,27)=junk
delete junk
eall.results(p)
'
' September 1999
'
' Estimate the equations for subsets, then jointly for a LR test
' First Half
smpl if ((year=1999)and(month=9)and(bday>1.5))and(portn<10.5)
c=0
equation e1st.ls(n) lhs=((c(2)*t2)+(c(3)*t3)+(c(4)*t4)+(c(5)*t5)+(c(6)*t6)+(c(7)*t7)+(c(8)*t8)+(c(9)*t9)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21))*((c(101)*f01)+(c(102)*f02)+(c(103)*f03)+(c(104)*f04)+(c(105)*f05)+(c(106)*f06)+(c(107)*f07)+(c(108)*f08)+(c(109)*f09)+(c(110)*f10)+(c(401)*i01)+(c(402)*i02)+(c(403)*i03)+(c(404)*i04)+(c(405)*i05)+(c(406)*i06)+(c(407)*i07)+(c(408)*i08)+(c(409)*i09)+(c(410)*i10)+rhs)
scalar junk=e1st.@logl
results(3,28)=junk
delete junk
' Second Half
smpl if ((year=1999)and(month=9)and(bday>1.5))and(portn>10.5)
c=0
equation e2nd.ls(n) lhs=((c(2)*t2)+(c(3)*t3)+(c(4)*t4)+(c(5)*t5)+(c(6)*t6)+(c(7)*t7)+(c(8)*t8)+(c(9)*t9)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21))*((c(111)*f11)+(c(112)*f12)+(c(113)*f13)+(c(114)*f14)+(c(115)*f15)+(c(116)*f16)+(c(117)*f17)+(c(118)*f18)+(c(119)*f19)+(c(120)*f20)+(c(411)*i11)+(c(412)*i12)+(c(413)*i13)+(c(414)*i14)+(c(415)*i15)+(c(416)*i16)+(c(417)*i17)+(c(418)*i18)+(c(419)*i19)+(c(420)*i20)+rhs)
scalar junk=e2nd.@logl
results(3,29)=junk
delete junk
' All
smpl if ((year=1999)and(month=9)and(bday>1.5))
c=0
equation eall.ls(n) lhs=((c(2)*t2)+(c(3)*t3)+(c(4)*t4)+(c(5)*t5)+(c(6)*t6)+(c(7)*t7)+(c(8)*t8)+(c(9)*t9)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21))*((c(101)*f01)+(c(102)*f02)+(c(103)*f03)+(c(104)*f04)+(c(105)*f05)+(c(106)*f06)+(c(107)*f07)+(c(108)*f08)+(c(109)*f09)+(c(110)*f10)+(c(111)*f11)+(c(112)*f12)+(c(113)*f13)+(c(114)*f14)+(c(115)*f15)+(c(116)*f16)+(c(117)*f17)+(c(118)*f18)+(c(119)*f19)+(c(120)*f20)+(c(401)*i01)+(c(402)*i02)+(c(403)*i03)+(c(404)*i04)+(c(405)*i05)+(c(406)*i06)+(c(407)*i07)+(c(408)*i08)+(c(409)*i09)+(c(410)*i10)+(c(411)*i11)+(c(412)*i12)+(c(413)*i13)+(c(414)*i14)+(c(415)*i15)+(c(416)*i16)+(c(417)*i17)+(c(418)*i18)+(c(419)*i19)+(c(420)*i20)+rhs)
scalar junk=eall.@logl
results(3,30)=junk
delete junk
eall.results(p)
'
' October 1999
'
' Estimate the equations for subsets, then jointly for a LR test
' First Half
smpl if ((year=1999)and(month=10))and(portn<10.5)
c=0
equation e1st.ls(n) lhs=((c(1)*t1)+(c(2)*t2)+(c(3)*t3)+(c(4)*t4)+(c(5)*t5)+(c(6)*t6)+(c(7)*t7)+(c(8)*t8)+(c(9)*t9)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21))*((c(101)*f01)+(c(102)*f02)+(c(103)*f03)+(c(104)*f04)+(c(105)*f05)+(c(106)*f06)+(c(107)*f07)+(c(108)*f08)+(c(109)*f09)+(c(110)*f10)+(c(401)*i01)+(c(402)*i02)+(c(403)*i03)+(c(404)*i04)+(c(405)*i05)+(c(406)*i06)+(c(407)*i07)+(c(408)*i08)+(c(409)*i09)+(c(410)*i10)+rhs)
scalar junk=e1st.@logl
results(3,31)=junk
delete junk
' Second Half
smpl if ((year=1999)and(month=10))and(portn>10.5)
c=0
equation e2nd.ls(n) lhs=((c(1)*t1)+(c(2)*t2)+(c(3)*t3)+(c(4)*t4)+(c(5)*t5)+(c(6)*t6)+(c(7)*t7)+(c(8)*t8)+(c(9)*t9)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21))*((c(111)*f11)+(c(112)*f12)+(c(113)*f13)+(c(114)*f14)+(c(115)*f15)+(c(116)*f16)+(c(117)*f17)+(c(118)*f18)+(c(119)*f19)+(c(120)*f20)+(c(411)*i11)+(c(412)*i12)+(c(413)*i13)+(c(414)*i14)+(c(415)*i15)+(c(416)*i16)+(c(417)*i17)+(c(418)*i18)+(c(419)*i19)+(c(420)*i20)+rhs)
scalar junk=e2nd.@logl
results(3,32)=junk
delete junk
' All
smpl if ((year=1999)and(month=10))
c=0
equation eall.ls(n) lhs=((c(1)*t1)+(c(2)*t2)+(c(3)*t3)+(c(4)*t4)+(c(5)*t5)+(c(6)*t6)+(c(7)*t7)+(c(8)*t8)+(c(9)*t9)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21))*((c(101)*f01)+(c(102)*f02)+(c(103)*f03)+(c(104)*f04)+(c(105)*f05)+(c(106)*f06)+(c(107)*f07)+(c(108)*f08)+(c(109)*f09)+(c(110)*f10)+(c(111)*f11)+(c(112)*f12)+(c(113)*f13)+(c(114)*f14)+(c(115)*f15)+(c(116)*f16)+(c(117)*f17)+(c(118)*f18)+(c(119)*f19)+(c(120)*f20)+(c(401)*i01)+(c(402)*i02)+(c(403)*i03)+(c(404)*i04)+(c(405)*i05)+(c(406)*i06)+(c(407)*i07)+(c(408)*i08)+(c(409)*i09)+(c(410)*i10)+(c(411)*i11)+(c(412)*i12)+(c(413)*i13)+(c(414)*i14)+(c(415)*i15)+(c(416)*i16)+(c(417)*i17)+(c(418)*i18)+(c(419)*i19)+(c(420)*i20)+rhs)
scalar junk=eall.@logl
results(3,33)=junk
delete junk
eall.results(p)
'
' November 1999
'
' Estimate the equations for subsets, then jointly for a LR test
' First Half
smpl if ((year=1999)and(month=11)and(bday<20.5))and(portn<10.5)
c=0
equation e1st.ls(n) lhs=((c(1)*t1)+(c(2)*t2)+(c(3)*t3)+(c(4)*t4)+(c(5)*t5)+(c(6)*t6)+(c(7)*t7)+(c(8)*t8)+(c(9)*t9)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20))*((c(101)*f01)+(c(102)*f02)+(c(103)*f03)+(c(104)*f04)+(c(105)*f05)+(c(106)*f06)+(c(107)*f07)+(c(108)*f08)+(c(109)*f09)+(c(110)*f10)+(c(401)*i01)+(c(402)*i02)+(c(403)*i03)+(c(404)*i04)+(c(405)*i05)+(c(406)*i06)+(c(407)*i07)+(c(408)*i08)+(c(409)*i09)+(c(410)*i10)+rhs)
scalar junk=e1st.@logl
results(3,34)=junk
delete junk
' Second Half
smpl if ((year=1999)and(month=11)and(bday<20.5))and(portn>10.5)
c=0
equation e2nd.ls(n) lhs=((c(1)*t1)+(c(2)*t2)+(c(3)*t3)+(c(4)*t4)+(c(5)*t5)+(c(6)*t6)+(c(7)*t7)+(c(8)*t8)+(c(9)*t9)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20))*((c(111)*f11)+(c(112)*f12)+(c(113)*f13)+(c(114)*f14)+(c(115)*f15)+(c(116)*f16)+(c(117)*f17)+(c(118)*f18)+(c(119)*f19)+(c(120)*f20)+(c(411)*i11)+(c(412)*i12)+(c(413)*i13)+(c(414)*i14)+(c(415)*i15)+(c(416)*i16)+(c(417)*i17)+(c(418)*i18)+(c(419)*i19)+(c(420)*i20)+rhs)
scalar junk=e2nd.@logl
results(3,35)=junk
delete junk
' All
smpl if ((year=1999)and(month=11)and(bday<20.5))
c=0
equation eall.ls(n) lhs=((c(1)*t1)+(c(2)*t2)+(c(3)*t3)+(c(4)*t4)+(c(5)*t5)+(c(6)*t6)+(c(7)*t7)+(c(8)*t8)+(c(9)*t9)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20))*((c(101)*f01)+(c(102)*f02)+(c(103)*f03)+(c(104)*f04)+(c(105)*f05)+(c(106)*f06)+(c(107)*f07)+(c(108)*f08)+(c(109)*f09)+(c(110)*f10)+(c(111)*f11)+(c(112)*f12)+(c(113)*f13)+(c(114)*f14)+(c(115)*f15)+(c(116)*f16)+(c(117)*f17)+(c(118)*f18)+(c(119)*f19)+(c(120)*f20)+(c(401)*i01)+(c(402)*i02)+(c(403)*i03)+(c(404)*i04)+(c(405)*i05)+(c(406)*i06)+(c(407)*i07)+(c(408)*i08)+(c(409)*i09)+(c(410)*i10)+(c(411)*i11)+(c(412)*i12)+(c(413)*i13)+(c(414)*i14)+(c(415)*i15)+(c(416)*i16)+(c(417)*i17)+(c(418)*i18)+(c(419)*i19)+(c(420)*i20)+rhs)
scalar junk=eall.@logl
results(3,36)=junk
delete junk
eall.results(p)

output off
